
ChiliProject - Feature # 150: Skip the "Text Formatting: Help" link when tabbing

Status: Closed Priority: Normal
Author: Eric Davis Category: User interface
Created: 2011-02-06 Assignee: Felix Schäfer
Updated: 2011-02-27 Due date:
Remote issue URL:
Affected version:
Description: If you are tabbing though an issue (or most other forms) the link to the Test formatting Help is targeted before 

the text area. I think we should skip over that link completely when tabbing.

I'm not sure how we could do this without using a @tabindex@ for every other field in every form. Is there a 
@tabskip@ or similar property we can use?

Associated revisions
2011-02-22 07:06 pm - Felix SchÃ¤fer 
Avoid selecting the help link while tabbing #150

History
2011-02-06 04:03 am - Muntek Singh
I vaguely recall being able to set only one element tabindex = -1 and it performing this behavior, except in IE6 (which we shouldn't care about). I'll back 
this up with docs tomorrow.

2011-02-06 05:17 am - Eric Davis
I just edited it using firebug and can confirm that @tabindex="-1"@ makes the browser skip it. (Google Chrome on Linux)

2011-02-06 12:36 pm - Felix Schäfer
"Html 4":http://www.w3.org/TR/REC-html40/interact/forms.html#adef-tabindex) doesn't support it, the "html 5 
draft":http://www.w3.org/TR/2011/WD-html5-20110113/editing.html#sequential-focus-navigation-and-the-tabindex-attribute does though. Of note that 
Microsoft/IE supports that from "IE 5.01":http://msdn.microsoft.com/en-us/library/ms534654(v=vs.85).aspx upwards.

In light of that, I think it's safe to use it, browsers that don't support it should ignore it, which doesn't break anything.

2011-02-09 04:24 pm - Felix Schäfer
Mmh, I don't even get to the help link by tabbingâ€¦ What browser(s) are incriminated here?

Anyway, I don't get there by tabbing with Safari, but Safari doesn't mind the @tabindex="-1"@ being there.

2011-02-22 06:08 pm - Felix Schäfer
- Assignee set to Felix Schäfer

- Status changed from Open to Closed

Committed in commit:c73315e6b0808e4d5e9ecc2b228fa554ec2e73fb, I also removed what seems like a leftover test string in a js file.

2011-02-27 10:11 pm - Eric Davis
- Target version set to 1.1.0 â€” Bell

Felix, make sure to set the target version when you merge.
<pre><code class="ruby">
if merged_to == 'master'
  target_version = Version.next.minor
else
  target_version = Version.next.major
end
</code></pre>

;)
